Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque.om.map
Class TurbineUserMapBuilder

    java.lang.Object
      org.apache.turbine.services.security.torque.om.map.TurbineUserMapBuilder

All Implemented Interfaces:
  org.apache.torque.map.MapBuilder

    public class TurbineUserMapBuilder

extends Object
implements org.apache.torque.map.MapBuilder

This class was autogenerated by Torque on: [Thu Jun 23 17:25:46 CEST 2011]

Field Summary
`static String` | `CLASS_NAME` The name of this class

Constructor Summary
`TurbineUserMapBuilder()`

Method Summary
`void` | `doBuild()` The doBuild() method builds the DatabaseMap
`org.apache.torque.map.DatabaseMap` | `getDatabaseMap()` Gets the databasemap this map builder built.
`boolean` | `isBuilt()` Tells us if this DatabaseMapBuilder is built so that we don't have to re-build it every time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_NAME

    public static final String CLASS_NAME

  The name of this class

  See Also:
    Constant Field Values

Constructor Detail

### TurbineUserMapBuilder

    public TurbineUserMapBuilder()

Method Detail

### isBuilt

    public boolean isBuilt()

  Tells us if this DatabaseMapBuilder is built so that we don't have to re-build it every time.

  Specified by:
    `isBuilt` in interface `org.apache.torque.map.MapBuilder`
  Returns:
    true if this DatabaseMapBuilder is built

### getDatabaseMap

    public org.apache.torque.map.DatabaseMap getDatabaseMap()

  Gets the databasemap this map builder built.

  Specified by:
    `getDatabaseMap` in interface `org.apache.torque.map.MapBuilder`
  Returns:
    the databasemap

### doBuild

    public void doBuild()
                 throws org.apache.torque.TorqueException

  The doBuild() method builds the DatabaseMap

  Specified by:
    `doBuild` in interface `org.apache.torque.map.MapBuilder`
  Throws:
    `org.apache.torque.TorqueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.